## noderig endpoint to fetch
scrapers:
  noderig:
    url: http://127.0.0.1:9100/metrics
    format: sensision
    period: 60000

## Warp10 platform to send data
sinks:
  rtm:
    url: https://rtm.ovh.net/
    token: c3RvY2sub3ZoLm5ldDE1NjI1NzQzNjUK
    size: 1000000
    selector: (os|rtm).*
    ttl: 60

labels:
  host: stock.ovh.net

parameters: # Parameters definitions (Optional)
  source-dir: /opt/beamium/sources   # Beamer data source directory
  sink-dir: /opt/beamium/sinks       # Beamer data sink directory
  scan-period: 60000     # Delay(ms) between source/sink scan
  log-file: /var/log/beamium/beamium.log # Log file
  log-level: 1          # Log level
  router-parallel: 1    # Routing threads
  backoff:              # Backoff configuration
    initial: 30000ms      # Initial interval
    max: 1m               # Max interval
    multiplier: 1.5       # Interval multiplier
    randomization: 0.3    # Randomization factor - delay = interval * 0.3
